# 10.07.17
# Porthmeus
require(extrafont)

dT <- read.csv("SupFig2de_data_BrdUSizeCor.csv")
cls <- c("#a7aae8","#e8a8dd","#ccccc0","#ccaa66","gray60","#FF8080","#66CC66","#ffb380")

pdf("SupFig2de_plot_BrdUSizeCor.pdf", height = 4, width =4, family = "Arial")
par(bty="n")
options(scipen=-2)

# BrdU 3h vs Epis
plot(dT[["adult.epis"]],dT[["brdu3"]], ylab = 'BrdU positive epith. cells after 3h labeling', xlab = "Maximum size in no. of epith. cells", bg=cls, pch=21, type="n",ylim = c(0,0.3),xlim=c(5000,25000))
m <- lm(dT[["brdu3"]]~dT[["adult.epis"]])
print(summary(m))
abline(m, lty=2, col="gray", lwd=1)
points(dT[["adult.epis"]],dT[["brdu3"]],bg=cls, pch=21, cex = 1.3)
text(quantile(dT[["adult.epis"]], 0.75), max(dT[["brdu3"]])*0.95, paste("R² = ",round(summary(m)$adj.r.squared, digits=2), "\np = ", round(anova(m)[["Pr(>F)"]][1], digits=5), sep =""), pos =4)


# BrdU 72h vs Epis
plot(dT[["adult.epis"]],dT[["brdu72"]], ylab = 'BrdU positive epith. cells after 72h labeling', xlab = "Maximum size in no. of epith. cells", bg=cls, pch=21, type="n", ylim = c(0.5,0.9), xlim = c(5000,25000))
m <- lm(dT[["brdu72"]]~dT[["adult.epis"]])
print(summary(m))
abline(m, lty=2, col="gray", lwd=1)
points(dT[["adult.epis"]],dT[["brdu72"]],bg=cls, pch=21, cex = 1.3)
text(quantile(dT[["adult.epis"]], 0.8), max(dT[["brdu72"]]), paste("R² = ",round(summary(m)$adj.r.squared, digits=2), "\np = ", round(anova(m)[["Pr(>F)"]][1], digits=5), sep =""), pos =4)

dev.off()
