# Porthmeus
# 21.12.18
require(extrafont)
require(data.table)
col <- c("#ccccc0","#ccaa66")

df <- fread("SupFig6bc_data_dT1.csv")
dT1c11 <- df[Line == "C1-1",]
dT1c62 <- df[Line == "C6-2",]


pdf("SupFig6bc_plot_dT1.pdf", width=3, height=3, family="Arial")
par(bty="n", mar=c(2,4,1,0.5))

maxy <- max(dT1c11[,dT1])

boxplot(data=dT1c11, dT1~TG, col=col, main="INSR-KD C1-1", ylab=expression(Delta*"T"[1]*"[d]"), ylim =c(0,maxy*1.2))
print(wilcox.test(dT1c11[,dT1]~dT1c11[,TG]))
points(c(1,2), rep(maxy*1.1,2), type="l")
text(1.5, maxy*1.2, cex=2, "**")


maxy <- max(dT1c62[,dT1])
boxplot(data=dT1c62, dT1~TG, col=col, main="INSR-KD C6-2", ylab=expression(Delta*"T"[1]*"[d]"), ylim =c(0,maxy*1.2))
print(wilcox.test(dT1c62[,dT1]~dT1c62[,TG]))
points(c(1,2), rep(maxy*1.1,2), type="l")
text(1.5, maxy*1.2, cex=2, "***")

dev.off()

